[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![MIT License][license-shield]][license-url]
[![LinkedIn][linkedin-shield]][linkedin-url]



<!-- PROJECT LOGO -->
<br />
<p align="center">
  <a href="https://github.com/jharrels/scummy">
    <img src="https://j-topia.com/images/scummy_logo.png" alt="Logo" width="100" height="100">
  </a>

  <h3 align="center">Scummy</h3>

  <p align="center">
    A modern, clean front-end for SCUMMVM.
    <br />
    <br />
    <a href="https://github.com/jharrels/scummy/issues">Report Bug</a>
    ·
    <a href="https://github.com/jharrels/scummy/issues">Request Feature</a>
  </p>
</p>



<!-- TABLE OF CONTENTS -->
<details open="open">
  <summary>Table of Contents</summary>
  <ol>
    <li>
      <a href="#about-the-project">What is Scummy?</a>
      <ul>
        <li><a href="#built-with">Built With</a></li>
      </ul>
    </li>
    <li>
      <a href="#getting-started">Getting Started</a>
      <ul>
        <li><a href="#prerequisites">Prerequisites</a></li>
        <li><a href="#installation">Installation</a></li>
      </ul>
    </li>
    <li><a href="#usage">Usage</a></li>
    <li><a href="#roadmap">Roadmap</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#acknowledgements">Acknowledgements</a></li>
  </ol>
</details>



<!-- ABOUT THE PROJECT -->
## What is Scummy?

[![Scummy][scummy-gallery]](https://j-topia.com/images/scummy_gallery.png)

Scummy is a well designed, clean, and modern front-end for SCUMMVM. For those who aren't familiar, SCUMMVM is an application which allow you to run classic graphic adventure and roleplaying games on modern systems. It is a fantastic application that has given many a chance to relive their childhood favorites, with minimal fuss.

A list of resources that I find helpful are listed in the acknowledgements.

### Built With

* [Node.js](https://nodejs.org)
* [JQuery](https://jquery.com)
* [Electron](https://www.electronjs.org)
* [Font Awesome](https://fontawesome.com)

### We need help!
Currently Scummy is being developed on a machine running Windows, but we purposely chose a cross-platform framework in which to develop it. We need help in the following areas:
* Mac-specific code and/or the ability to test on a Mac.
* Linux-specific code and/or the ability to test on Linux.
* Translations into other languages.

<!-- GETTING STARTED -->
## Getting Started

You've checked out Scummy and would like to contribute? Great! Here's how to set up a working copy locally.

### Prerequisites

This is an example of how to list things you need to use the software and how to install them.
* npm
  ```sh
  npm install npm@latest -g
  ```

### Installation

1. Clone the repo
   ```sh
   git clone https://github.com/jharrels/scummy.git
   ```
3. Install NPM packages
   ```sh
   npm install
   ```
4. Startup Scummy from the repo
   ```sh
   npm test
   ```



<!-- ROADMAP -->
## Roadmap
Version 1.0 of Scummy will be able to do everything SCUMMVM can do plus a few extras:
* **0.1.0** - ~~Obtain a list of installed games.~~ :heavy_check_mark:
* **0.2.0** - ~~Display the list of installed games using either a grid view or a list view.~~ :heavy_check_mark:
* **0.3.0** - ~~Install games via Scummy, including detecting an uninstalled game or a new version of an installed game.~~ :heavy_check_mark:
* **0.4.0** - ~~Ability to configure options for installed games.~~ :heavy_check_mark:
* **0.5.0** - ~~Launch games, including different versions of games.~~ :heavy_check_mark:
* **0.6.0** - ~~Remove installed games.~~ :heavy_check_mark:
* **0.7.0** - ~~Favoriting of games.~~ :heavy_check_mark:
* **0.8.0** - ~~Set default games.~~ :heavy_check_mark:
* **0.9.0** - ~~Display options for displaying recently played, all games, favorited games, and games by category (ie. LucasArts, Sierra, Delphine Software, etc).~~ :heavy_check_mark:
* **0.10.0** - ~~GUI configuration options for Scummy.~~ :heavy_check_mark:
* **0.11.0** - ~~Get automated builds working.~~ :heavy_check_mark:
* 1.0.0 - Release.

Planned features:
* Organize games into player-made collections (for example: RPGs, Monkey Island, King's Quest, etc).
* Launch other applications before launching the game. Useful for setting up other devices, such as virtual drives or MT-32 emulation.
* Search function.
* Additional game information.
* Recording total time played for games.
* Themes.
* Add additional game options.
* Add SCUMMVM configuration options.
* Add compatibility for Mac and Linux.

See the [open issues](https://github.com/jharrels/scummy/issues) for a list of proposed features (and known issues).



<!-- CONTRIBUTING -->
## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/amazing-feature`)
3. Commit your Changes (`git commit -m 'Add some amazing-feature'`)
4. Push to the Branch (`git push origin feature/amazing-feature`)
5. Open a Pull Request



<!-- LICENSE -->
## License

Distributed under the MIT License. See `LICENSE` for more information.



<!-- CONTACT -->
## Contact

Project Link: [https://github.com/jharrels/scummy](https://github.com/jharrels/scummy)



<!-- ACKNOWLEDGEMENTS -->
## Acknowledgements
* [The SCUMMVM Team](https://scummvm.org)
* [Moby Games](https://www.mobygames.com)
* [Font Awesome](https://fontawesome.com)
* [Node.js](https://nodejs.org)
* [JQuery](https://jquery.com)
* [Electron](https://www.electronjs.org)
* [Choose an Open Source License](https://choosealicense.com)




<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[contributors-shield]: https://img.shields.io/github/contributors/jharrels/scummy.svg?style=for-the-badge
[contributors-url]: https://github.com/jharrels/scummy/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/jharrels/scummy.svg?style=for-the-badge
[forks-url]: https://github.com/jharrels/scummy/network/members
[stars-shield]: https://img.shields.io/github/stars/jharrels/scummy.svg?style=for-the-badge
[stars-url]: https://github.com/jharrels/scummy/stargazers
[issues-shield]: https://img.shields.io/github/issues/jharrels/scummy.svg?style=for-the-badge
[issues-url]: https://github.com/jharrels/scummy/issues
[license-shield]: https://img.shields.io/github/license/jharrels/scummy.svg?style=for-the-badge
[license-url]: https://github.com/jharrels/scummy/blob/master/LICENSE
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://www.linkedin.com/in/justin-harrelson-a7b18549
[scummy-gallery]: https://j-topia.com/images/scummy_gallery.png
